Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1055)
@@ -5184,7 +5193,7 @@
                 <<" < GSM="<<totM<<", 2Pi="<<mPi+mPi<<", 2Pi0="<<mPi0+mPi0<<G4endl;
           throw G4QException("G4QNucleus::EvaporateNucleus: Hadron is under MassShell");
-	       }
-	     }
-	   }
+        }
+      }
+    }
     else
     {
@@ -5261,5 +5270,5 @@
       {
         if(fabs(qM-mSigM)<eps)
-		      {
+        {
           evaHV->push_back(qH);                  // Fill Sigma- as it is
           return;
@@ -5339,5 +5348,5 @@
     }
     else                                          //(2) n*N+m*(Pi-)   (qS=0)
-	   {
+    {
       sPDG = -211;
       qPN  = -qC;
@@ -5389,5 +5398,5 @@
       qBN  = qC;
       fMass= mProt;
-	   }
+    }
     else if(qS  && qC<qBN-qS)                     //(3)n*L+m*P+k*N ***Should not be here***
     {
@@ -5404,5 +5413,5 @@
       {
         if(fabs(qM-mSigP)<eps)                    // Fill Sigma+ as it is
-		      {
+        {
           evaHV->push_back(qH);
           return;
@@ -5659,8 +5668,8 @@
   {
     if(fabs(qM-mDeut)<eps)
-	   {
+    {
       evaHV->push_back(qH);               // Fill as it is (delete equivalent)
       return;
-	   }
+    }
     else if(mProt+mNeut<rM)
     {
@@ -5775,5 +5784,5 @@
     G4double sum=fMass+sMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(fMass/sum);
       s4Mom=q4M*(sMass/sum);
@@ -5810,5 +5819,5 @@
     G4double sum=fMass+sMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(fMass/sum);
       s4Mom=q4M*(sMass/sum);
@@ -5836,5 +5845,5 @@
     // Now the second pair mus be decayed
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(fMass/sum);
       s4Mom=q4M*(sMass/sum);
@@ -5868,5 +5877,5 @@
     G4double sum=fMass+sMass+tMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(fMass/sum);
       s4Mom=q4M*(sMass/sum);
@@ -6050,7 +6059,7 @@
   {
     if(!n1)                               // No K0's only K+'s
-	   {
+    {
       if(n2==1 && mK+nucM>qM+.0001)  // Mass limit: switch to K0
-	     {
+      {
         k1M=mK0;
         n1=1;
@@ -6063,10 +6072,10 @@
         k1PDG=321;                        // Only K+'s (default K0's)
         n1=n2;                            // only n1 is used
-	     }
-	   }
+      }
+    }
     else                                  // No K+'s only K0's
     {
       if(n1==1 && mK0+nucM>qM+.0001) // Mass limit: switch to K+
-	     {
+      {
         k1M=mK;
         k1PDG=321;                        // K+ instead of K0
@@ -6119,5 +6128,5 @@
     }
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(n1M/sum);
       s4Mom=q4M*(nucM/sum);
@@ -6145,5 +6154,5 @@
       G4QHadron* H1 = new G4QHadron(k1PDG,f4Mom); // Create a Hadron for the Kaon
       evaHV->push_back(H1);                       // Fill "H1" (delete equivalent)
-	   }
+    }
     G4QHadron* H2 = new G4QHadron(qPDG,s4Mom);    // Create a Hadron for the Nucleus
     //evaHV->push_back(H2);                       // Fill "H2" (delete equivalent)
@@ -6162,5 +6171,5 @@
     G4double sum=nucM+n1M+n2M;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(n1M/sum);
       s4Mom=q4M*(n2M/sum);
@@ -6188,5 +6197,5 @@
       G4QHadron* H1 = new G4QHadron(k1PDG,f4Mom); // Create a Hadron for the K0
       evaHV->push_back(H1);                       // Fill "H1" (delete equivalent)
-	   }
+    }
     s4Mom/=n2;
     for(G4int i2=0; i2<n2; i2++)
@@ -6194,5 +6203,5 @@
       G4QHadron* H2 = new G4QHadron(k2PDG,s4Mom); // Create a Hadron for the K+
       evaHV->push_back(H2);                       // Fill "H2" (delete equivalent)
-	   }
+    }
     G4QHadron* H3 = new G4QHadron(qPDG,t4Mom);    // Create a Hadron for the nucleus
     //evaHV->push_back(H3);                       // Fill "H3" (delete equivalent)
@@ -6269,5 +6278,5 @@
     G4double sum=fMass+fMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M/2.;
       s4Mom=f4Mom;
@@ -6301,5 +6310,5 @@
     G4double sum=fMass+fMass+fMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M/3.;
       s4Mom=f4Mom;
@@ -6348,5 +6357,5 @@
       G4QHadron* H1 = new G4QHadron(fPDG,f4Mom); // Create a Hadron for the baryon
       evaHV->push_back(H1);                 // Fill "H1" (delete equivalent)
-	   }
+    }
   }
 #ifdef qdebug
@@ -6381,13 +6390,13 @@
   {
     if(fabs(qM-mHel6)<eps)
-	   {
+    {
       evaHV->push_back(qH);                 // Fill as it is (delete equivalent)
       return;
-	   }
+    }
     else if(mNeut+mNeut+mAlph<qM)
     {
       fPDG = 2112;
       fMass= mNeut;
-	   }
+    }
     else
     {
@@ -6499,5 +6508,5 @@
     G4double sum=tfM+tsM;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(tfM/sum);
       s4Mom=q4M*(tsM/sum);
@@ -6550,5 +6559,5 @@
     G4double sum=fMass+sMass+sMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(fMass/sum);
       s4Mom=q4M*(sMass/sum);
@@ -6610,5 +6619,5 @@
     G4double sum=fMass+fMass+sMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*((fMass+fMass)/sum);
       s4Mom=q4M*(sMass/sum);
@@ -6682,5 +6691,5 @@
     G4double sum=fMass+sMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(fMass/sum);
       s4Mom=q4M*(sMass/sum);
@@ -6753,5 +6762,5 @@
     G4double sum=fMass+sMass;
     if(fabs(qM-sum)<eps)
-	   {
+    {
       f4Mom=q4M*(fMass/sum);
       s4Mom=q4M*(sMass/sum);
